Method: accounts.brands.list

  • This document provides details on how to list brands for a partner account using an HTTP GET request.

  • The request requires a parent path parameter specifying the account ID.

  • The request body must be empty.

  • The response body contains a list of Brand objects associated with the account.

  • Authorization requires the https://www.googleapis.com/auth/travelpartner OAuth scope.

Returns the brands for a partner account.

HTTP request

GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/brands

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the account being queried. The format is accounts/{account_id}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of brands to return. The service may return fewer than this value. If unspecified, at most 10,000 brands will be returned. The maximum value is 10,000; values above 10,000 will be coerced to 10,000.

pageToken

string

Optional. Page token, received from a previous brands.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to brands.list (except pageSize and pageToken) must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for BrandService.ListBrands.

If successful, the response body contains data with the following structure:

JSON representation
{
  "brands": [
    {
      object (Brand)
    }
  ],
  "nextPageToken": string
}
Fields
brands[]

object (Brand)

A list of brands for the current page associated with the Hotel Center account being queried.

nextPageToken

string

Token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/travelpartner

For more information, see the OAuth 2.0 Overview.